/**************************************************************************
* DSemu: Windows resource constants (res.h)                               *
* Released under the terms of the BSD Public Licence                      *
* Imran Nazar (tf@oopsilon.com), 2004                                     *
**************************************************************************/

#ifndef __RES_H_
#define __RES_H_

#define ID_MENU             101

#define ID_MENU_FILE       1000
#define ID_MENU_FILE_EXIT  1001
#define ID_MENU_FILE_CLOSE 1002
#define ID_MENU_FILE_OPENGBA  1003
#define ID_MENU_FILE_OPENDS   1004

#define ID_MENU_DBG        1100
#define ID_MENU_DBG_RUN    1101
#define ID_MENU_DBG_PAUSE  1102
#define ID_MENU_DBG_RESET  1103
#define ID_MENU_DBG_STEP   1104
#define ID_MENU_DBG_ASTEP  1105
#define ID_MENU_DBG_LINE   1106
#define ID_MENU_DBG_ALINE  1107
#define ID_MENU_DBG_IDUMP  1108

#define ID_MENU_VIEW       1200
#define ID_MENU_VIEW_GPU   1201
#define ID_MENU_VIEW_FPS   1202
#define ID_MENU_VIEW_PAL   1203
#define ID_MENU_VIEW_DBG   1204
#define ID_MENU_VIEW_MEM   1205

#define ID_MENU_OPT        1400
#define ID_MENU_OPT_CONF   1401

#define ID_MENU_HELP       1300
#define ID_MENU_HELP_ABOUT 1301

#define ID_ABOUTBOX        3001
#define ID_CONFBOX         3002
#define ID_OK              3003
#define ID_CANCEL          3004
#define IDC_STATIC           -1

#define ID_STATUS          4001

#define ID_DSPIC           5001
#define ID_DSICON32        5002
#define ID_DSICON16        5003

#define ID_BUT_DASM_ARM0   6001
#define ID_BUT_DASM_THUMB0 6002
#define ID_BUT_DASM_TRACK0 6003
#define ID_BUT_DASM_ARM1   6011
#define ID_BUT_DASM_THUMB1 6012
#define ID_BUT_DASM_TRACK1 6013
#define ID_EDIT_MEMV_ADDR  6101
#define ID_BUT_MEMV_GO     6102
#define ID_BUT_MEMV_8      6103
#define ID_BUT_MEMV_16     6104
#define ID_BUT_MEMV_32     6105

#define ID_CONF_EDIT_UP    7001
#define ID_CONF_EDIT_DOWN  7002
#define ID_CONF_EDIT_LEFT  7003
#define ID_CONF_EDIT_RIGHT 7004
#define ID_CONF_EDIT_A     7005
#define ID_CONF_EDIT_B     7006
#define ID_CONF_EDIT_L     7007
#define ID_CONF_EDIT_R     7008
#define ID_CONF_EDIT_START 7009
#define ID_CONF_EDIT_SEL   7010
#define ID_CONF_CHK_RUN    7101
#define ID_CONF_CHK_FPS    7102
#define ID_CONF_EDIT_BIOS  7103

#define ID_ACCEL           9000
#define ID_ACCEL_QUIT      9001

#endif//__RES_H_

/*** EOF:res.h ***********************************************************/

